TechTool Deluxe (AppleCare supplied version) and Leopard?

DavidCar

macrumors 6502a
Jan 19, 2004
525
0
I had 3.0.4, which was on the Applecare disk. I got onto the micromat website and got the updater to 3.1.1. That solved the problem.
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.